/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

#ifndef YY_INTERNYY_INTERNPARSER_H_INCLUDED
# define YY_INTERNYY_INTERNPARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int internyydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    CONSTANTTOKEN = 258,
    MIDPOINTCONSTANTTOKEN = 259,
    DYADICCONSTANTTOKEN = 260,
    HEXCONSTANTTOKEN = 261,
    HEXADECIMALCONSTANTTOKEN = 262,
    BINARYCONSTANTTOKEN = 263,
    PITOKEN = 264,
    IDENTIFIERTOKEN = 265,
    STRINGTOKEN = 266,
    LPARTOKEN = 267,
    RPARTOKEN = 268,
    LBRACKETTOKEN = 269,
    RBRACKETTOKEN = 270,
    EQUALTOKEN = 271,
    ASSIGNEQUALTOKEN = 272,
    COMPAREEQUALTOKEN = 273,
    COMMATOKEN = 274,
    EXCLAMATIONTOKEN = 275,
    SEMICOLONTOKEN = 276,
    STARLEFTANGLETOKEN = 277,
    LEFTANGLETOKEN = 278,
    RIGHTANGLEUNDERSCORETOKEN = 279,
    RIGHTANGLEDOTTOKEN = 280,
    RIGHTANGLESTARTOKEN = 281,
    RIGHTANGLETOKEN = 282,
    DOTSTOKEN = 283,
    DOTTOKEN = 284,
    QUESTIONMARKTOKEN = 285,
    VERTBARTOKEN = 286,
    ATTOKEN = 287,
    DOUBLECOLONTOKEN = 288,
    COLONTOKEN = 289,
    DOTCOLONTOKEN = 290,
    COLONDOTTOKEN = 291,
    EXCLAMATIONEQUALTOKEN = 292,
    APPROXTOKEN = 293,
    ANDTOKEN = 294,
    ORTOKEN = 295,
    PLUSTOKEN = 296,
    MINUSTOKEN = 297,
    MULTOKEN = 298,
    DIVTOKEN = 299,
    POWTOKEN = 300,
    SQRTTOKEN = 301,
    EXPTOKEN = 302,
    FREEVARTOKEN = 303,
    LOGTOKEN = 304,
    LOG2TOKEN = 305,
    LOG10TOKEN = 306,
    SINTOKEN = 307,
    COSTOKEN = 308,
    TANTOKEN = 309,
    ASINTOKEN = 310,
    ACOSTOKEN = 311,
    ATANTOKEN = 312,
    SINHTOKEN = 313,
    COSHTOKEN = 314,
    TANHTOKEN = 315,
    ASINHTOKEN = 316,
    ACOSHTOKEN = 317,
    ATANHTOKEN = 318,
    ABSTOKEN = 319,
    ERFTOKEN = 320,
    ERFCTOKEN = 321,
    LOG1PTOKEN = 322,
    EXPM1TOKEN = 323,
    DOUBLETOKEN = 324,
    SINGLETOKEN = 325,
    HALFPRECISIONTOKEN = 326,
    QUADTOKEN = 327,
    DOUBLEDOUBLETOKEN = 328,
    TRIPLEDOUBLETOKEN = 329,
    DOUBLEEXTENDEDTOKEN = 330,
    CEILTOKEN = 331,
    FLOORTOKEN = 332,
    NEARESTINTTOKEN = 333,
    HEADTOKEN = 334,
    REVERTTOKEN = 335,
    SORTTOKEN = 336,
    TAILTOKEN = 337,
    MANTISSATOKEN = 338,
    EXPONENTTOKEN = 339,
    PRECISIONTOKEN = 340,
    ROUNDCORRECTLYTOKEN = 341,
    PRECTOKEN = 342,
    POINTSTOKEN = 343,
    DIAMTOKEN = 344,
    DISPLAYTOKEN = 345,
    VERBOSITYTOKEN = 346,
    SHOWMESSAGENUMBERSTOKEN = 347,
    CANONICALTOKEN = 348,
    AUTOSIMPLIFYTOKEN = 349,
    TAYLORRECURSIONSTOKEN = 350,
    TIMINGTOKEN = 351,
    TIMETOKEN = 352,
    FULLPARENTHESESTOKEN = 353,
    MIDPOINTMODETOKEN = 354,
    DIEONERRORMODETOKEN = 355,
    SUPPRESSWARNINGSTOKEN = 356,
    RATIONALMODETOKEN = 357,
    HOPITALRECURSIONSTOKEN = 358,
    ONTOKEN = 359,
    OFFTOKEN = 360,
    DYADICTOKEN = 361,
    POWERSTOKEN = 362,
    BINARYTOKEN = 363,
    HEXADECIMALTOKEN = 364,
    FILETOKEN = 365,
    POSTSCRIPTTOKEN = 366,
    POSTSCRIPTFILETOKEN = 367,
    PERTURBTOKEN = 368,
    MINUSWORDTOKEN = 369,
    PLUSWORDTOKEN = 370,
    ZEROWORDTOKEN = 371,
    NEARESTTOKEN = 372,
    HONORCOEFFPRECTOKEN = 373,
    TRUETOKEN = 374,
    FALSETOKEN = 375,
    DEFAULTTOKEN = 376,
    MATCHTOKEN = 377,
    WITHTOKEN = 378,
    ABSOLUTETOKEN = 379,
    DECIMALTOKEN = 380,
    RELATIVETOKEN = 381,
    FIXEDTOKEN = 382,
    FLOATINGTOKEN = 383,
    ERRORTOKEN = 384,
    QUITTOKEN = 385,
    FALSEQUITTOKEN = 386,
    FALSERESTARTTOKEN = 387,
    LIBRARYTOKEN = 388,
    LIBRARYCONSTANTTOKEN = 389,
    DIFFTOKEN = 390,
    DIRTYSIMPLIFYTOKEN = 391,
    REMEZTOKEN = 392,
    ANNOTATEFUNCTIONTOKEN = 393,
    BASHEVALUATETOKEN = 394,
    GETSUPPRESSEDMESSAGESTOKEN = 395,
    GETBACKTRACETOKEN = 396,
    FPMINIMAXTOKEN = 397,
    HORNERTOKEN = 398,
    EXPANDTOKEN = 399,
    SIMPLIFYSAFETOKEN = 400,
    TAYLORTOKEN = 401,
    TAYLORFORMTOKEN = 402,
    CHEBYSHEVFORMTOKEN = 403,
    AUTODIFFTOKEN = 404,
    DEGREETOKEN = 405,
    NUMERATORTOKEN = 406,
    DENOMINATORTOKEN = 407,
    SUBSTITUTETOKEN = 408,
    COMPOSEPOLYNOMIALSTOKEN = 409,
    COEFFTOKEN = 410,
    SUBPOLYTOKEN = 411,
    ROUNDCOEFFICIENTSTOKEN = 412,
    RATIONALAPPROXTOKEN = 413,
    ACCURATEINFNORMTOKEN = 414,
    ROUNDTOFORMATTOKEN = 415,
    EVALUATETOKEN = 416,
    LENGTHTOKEN = 417,
    OBJECTNAMETOKEN = 418,
    INFTOKEN = 419,
    MIDTOKEN = 420,
    SUPTOKEN = 421,
    MINTOKEN = 422,
    MAXTOKEN = 423,
    READXMLTOKEN = 424,
    PARSETOKEN = 425,
    PRINTTOKEN = 426,
    PRINTXMLTOKEN = 427,
    PLOTTOKEN = 428,
    PRINTHEXATOKEN = 429,
    PRINTFLOATTOKEN = 430,
    PRINTBINARYTOKEN = 431,
    SUPPRESSMESSAGETOKEN = 432,
    UNSUPPRESSMESSAGETOKEN = 433,
    PRINTEXPANSIONTOKEN = 434,
    BASHEXECUTETOKEN = 435,
    EXTERNALPLOTTOKEN = 436,
    WRITETOKEN = 437,
    ASCIIPLOTTOKEN = 438,
    RENAMETOKEN = 439,
    BINDTOKEN = 440,
    INFNORMTOKEN = 441,
    SUPNORMTOKEN = 442,
    FINDZEROSTOKEN = 443,
    FPFINDZEROSTOKEN = 444,
    DIRTYINFNORMTOKEN = 445,
    GCDTOKEN = 446,
    EUCLDIVTOKEN = 447,
    EUCLMODTOKEN = 448,
    NUMBERROOTSTOKEN = 449,
    INTEGRALTOKEN = 450,
    DIRTYINTEGRALTOKEN = 451,
    WORSTCASETOKEN = 452,
    IMPLEMENTPOLYTOKEN = 453,
    IMPLEMENTCONSTTOKEN = 454,
    CHECKINFNORMTOKEN = 455,
    ZERODENOMINATORSTOKEN = 456,
    ISEVALUABLETOKEN = 457,
    SEARCHGALTOKEN = 458,
    GUESSDEGREETOKEN = 459,
    DIRTYFINDZEROSTOKEN = 460,
    IFTOKEN = 461,
    THENTOKEN = 462,
    ELSETOKEN = 463,
    FORTOKEN = 464,
    INTOKEN = 465,
    FROMTOKEN = 466,
    TOTOKEN = 467,
    BYTOKEN = 468,
    DOTOKEN = 469,
    BEGINTOKEN = 470,
    ENDTOKEN = 471,
    LEFTCURLYBRACETOKEN = 472,
    RIGHTCURLYBRACETOKEN = 473,
    WHILETOKEN = 474,
    READFILETOKEN = 475,
    ISBOUNDTOKEN = 476,
    EXECUTETOKEN = 477,
    EXTERNALPROCTOKEN = 478,
    VOIDTOKEN = 479,
    CONSTANTTYPETOKEN = 480,
    FUNCTIONTOKEN = 481,
    OBJECTTOKEN = 482,
    RANGETOKEN = 483,
    INTEGERTOKEN = 484,
    STRINGTYPETOKEN = 485,
    BOOLEANTOKEN = 486,
    LISTTOKEN = 487,
    OFTOKEN = 488,
    VARTOKEN = 489,
    PROCTOKEN = 490,
    PROCEDURETOKEN = 491,
    RETURNTOKEN = 492,
    NOPTOKEN = 493
  };
#endif
/* Tokens.  */
#define CONSTANTTOKEN 258
#define MIDPOINTCONSTANTTOKEN 259
#define DYADICCONSTANTTOKEN 260
#define HEXCONSTANTTOKEN 261
#define HEXADECIMALCONSTANTTOKEN 262
#define BINARYCONSTANTTOKEN 263
#define PITOKEN 264
#define IDENTIFIERTOKEN 265
#define STRINGTOKEN 266
#define LPARTOKEN 267
#define RPARTOKEN 268
#define LBRACKETTOKEN 269
#define RBRACKETTOKEN 270
#define EQUALTOKEN 271
#define ASSIGNEQUALTOKEN 272
#define COMPAREEQUALTOKEN 273
#define COMMATOKEN 274
#define EXCLAMATIONTOKEN 275
#define SEMICOLONTOKEN 276
#define STARLEFTANGLETOKEN 277
#define LEFTANGLETOKEN 278
#define RIGHTANGLEUNDERSCORETOKEN 279
#define RIGHTANGLEDOTTOKEN 280
#define RIGHTANGLESTARTOKEN 281
#define RIGHTANGLETOKEN 282
#define DOTSTOKEN 283
#define DOTTOKEN 284
#define QUESTIONMARKTOKEN 285
#define VERTBARTOKEN 286
#define ATTOKEN 287
#define DOUBLECOLONTOKEN 288
#define COLONTOKEN 289
#define DOTCOLONTOKEN 290
#define COLONDOTTOKEN 291
#define EXCLAMATIONEQUALTOKEN 292
#define APPROXTOKEN 293
#define ANDTOKEN 294
#define ORTOKEN 295
#define PLUSTOKEN 296
#define MINUSTOKEN 297
#define MULTOKEN 298
#define DIVTOKEN 299
#define POWTOKEN 300
#define SQRTTOKEN 301
#define EXPTOKEN 302
#define FREEVARTOKEN 303
#define LOGTOKEN 304
#define LOG2TOKEN 305
#define LOG10TOKEN 306
#define SINTOKEN 307
#define COSTOKEN 308
#define TANTOKEN 309
#define ASINTOKEN 310
#define ACOSTOKEN 311
#define ATANTOKEN 312
#define SINHTOKEN 313
#define COSHTOKEN 314
#define TANHTOKEN 315
#define ASINHTOKEN 316
#define ACOSHTOKEN 317
#define ATANHTOKEN 318
#define ABSTOKEN 319
#define ERFTOKEN 320
#define ERFCTOKEN 321
#define LOG1PTOKEN 322
#define EXPM1TOKEN 323
#define DOUBLETOKEN 324
#define SINGLETOKEN 325
#define HALFPRECISIONTOKEN 326
#define QUADTOKEN 327
#define DOUBLEDOUBLETOKEN 328
#define TRIPLEDOUBLETOKEN 329
#define DOUBLEEXTENDEDTOKEN 330
#define CEILTOKEN 331
#define FLOORTOKEN 332
#define NEARESTINTTOKEN 333
#define HEADTOKEN 334
#define REVERTTOKEN 335
#define SORTTOKEN 336
#define TAILTOKEN 337
#define MANTISSATOKEN 338
#define EXPONENTTOKEN 339
#define PRECISIONTOKEN 340
#define ROUNDCORRECTLYTOKEN 341
#define PRECTOKEN 342
#define POINTSTOKEN 343
#define DIAMTOKEN 344
#define DISPLAYTOKEN 345
#define VERBOSITYTOKEN 346
#define SHOWMESSAGENUMBERSTOKEN 347
#define CANONICALTOKEN 348
#define AUTOSIMPLIFYTOKEN 349
#define TAYLORRECURSIONSTOKEN 350
#define TIMINGTOKEN 351
#define TIMETOKEN 352
#define FULLPARENTHESESTOKEN 353
#define MIDPOINTMODETOKEN 354
#define DIEONERRORMODETOKEN 355
#define SUPPRESSWARNINGSTOKEN 356
#define RATIONALMODETOKEN 357
#define HOPITALRECURSIONSTOKEN 358
#define ONTOKEN 359
#define OFFTOKEN 360
#define DYADICTOKEN 361
#define POWERSTOKEN 362
#define BINARYTOKEN 363
#define HEXADECIMALTOKEN 364
#define FILETOKEN 365
#define POSTSCRIPTTOKEN 366
#define POSTSCRIPTFILETOKEN 367
#define PERTURBTOKEN 368
#define MINUSWORDTOKEN 369
#define PLUSWORDTOKEN 370
#define ZEROWORDTOKEN 371
#define NEARESTTOKEN 372
#define HONORCOEFFPRECTOKEN 373
#define TRUETOKEN 374
#define FALSETOKEN 375
#define DEFAULTTOKEN 376
#define MATCHTOKEN 377
#define WITHTOKEN 378
#define ABSOLUTETOKEN 379
#define DECIMALTOKEN 380
#define RELATIVETOKEN 381
#define FIXEDTOKEN 382
#define FLOATINGTOKEN 383
#define ERRORTOKEN 384
#define QUITTOKEN 385
#define FALSEQUITTOKEN 386
#define FALSERESTARTTOKEN 387
#define LIBRARYTOKEN 388
#define LIBRARYCONSTANTTOKEN 389
#define DIFFTOKEN 390
#define DIRTYSIMPLIFYTOKEN 391
#define REMEZTOKEN 392
#define ANNOTATEFUNCTIONTOKEN 393
#define BASHEVALUATETOKEN 394
#define GETSUPPRESSEDMESSAGESTOKEN 395
#define GETBACKTRACETOKEN 396
#define FPMINIMAXTOKEN 397
#define HORNERTOKEN 398
#define EXPANDTOKEN 399
#define SIMPLIFYSAFETOKEN 400
#define TAYLORTOKEN 401
#define TAYLORFORMTOKEN 402
#define CHEBYSHEVFORMTOKEN 403
#define AUTODIFFTOKEN 404
#define DEGREETOKEN 405
#define NUMERATORTOKEN 406
#define DENOMINATORTOKEN 407
#define SUBSTITUTETOKEN 408
#define COMPOSEPOLYNOMIALSTOKEN 409
#define COEFFTOKEN 410
#define SUBPOLYTOKEN 411
#define ROUNDCOEFFICIENTSTOKEN 412
#define RATIONALAPPROXTOKEN 413
#define ACCURATEINFNORMTOKEN 414
#define ROUNDTOFORMATTOKEN 415
#define EVALUATETOKEN 416
#define LENGTHTOKEN 417
#define OBJECTNAMETOKEN 418
#define INFTOKEN 419
#define MIDTOKEN 420
#define SUPTOKEN 421
#define MINTOKEN 422
#define MAXTOKEN 423
#define READXMLTOKEN 424
#define PARSETOKEN 425
#define PRINTTOKEN 426
#define PRINTXMLTOKEN 427
#define PLOTTOKEN 428
#define PRINTHEXATOKEN 429
#define PRINTFLOATTOKEN 430
#define PRINTBINARYTOKEN 431
#define SUPPRESSMESSAGETOKEN 432
#define UNSUPPRESSMESSAGETOKEN 433
#define PRINTEXPANSIONTOKEN 434
#define BASHEXECUTETOKEN 435
#define EXTERNALPLOTTOKEN 436
#define WRITETOKEN 437
#define ASCIIPLOTTOKEN 438
#define RENAMETOKEN 439
#define BINDTOKEN 440
#define INFNORMTOKEN 441
#define SUPNORMTOKEN 442
#define FINDZEROSTOKEN 443
#define FPFINDZEROSTOKEN 444
#define DIRTYINFNORMTOKEN 445
#define GCDTOKEN 446
#define EUCLDIVTOKEN 447
#define EUCLMODTOKEN 448
#define NUMBERROOTSTOKEN 449
#define INTEGRALTOKEN 450
#define DIRTYINTEGRALTOKEN 451
#define WORSTCASETOKEN 452
#define IMPLEMENTPOLYTOKEN 453
#define IMPLEMENTCONSTTOKEN 454
#define CHECKINFNORMTOKEN 455
#define ZERODENOMINATORSTOKEN 456
#define ISEVALUABLETOKEN 457
#define SEARCHGALTOKEN 458
#define GUESSDEGREETOKEN 459
#define DIRTYFINDZEROSTOKEN 460
#define IFTOKEN 461
#define THENTOKEN 462
#define ELSETOKEN 463
#define FORTOKEN 464
#define INTOKEN 465
#define FROMTOKEN 466
#define TOTOKEN 467
#define BYTOKEN 468
#define DOTOKEN 469
#define BEGINTOKEN 470
#define ENDTOKEN 471
#define LEFTCURLYBRACETOKEN 472
#define RIGHTCURLYBRACETOKEN 473
#define WHILETOKEN 474
#define READFILETOKEN 475
#define ISBOUNDTOKEN 476
#define EXECUTETOKEN 477
#define EXTERNALPROCTOKEN 478
#define VOIDTOKEN 479
#define CONSTANTTYPETOKEN 480
#define FUNCTIONTOKEN 481
#define OBJECTTOKEN 482
#define RANGETOKEN 483
#define INTEGERTOKEN 484
#define STRINGTYPETOKEN 485
#define BOOLEANTOKEN 486
#define LISTTOKEN 487
#define OFTOKEN 488
#define VARTOKEN 489
#define PROCTOKEN 490
#define PROCEDURETOKEN 491
#define RETURNTOKEN 492
#define NOPTOKEN 493

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 121 "internparser.y" /* yacc.c:1909  */

  doubleNode *dblnode;
  struct entryStruct *association;
  char *value;
  node *tree;
  chain *list;
  int *integerval;
  int count;
  void *other;

#line 541 "internparser.h" /* yacc.c:1909  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif



int internyyparse (void *myScanner);

#endif /* !YY_INTERNYY_INTERNPARSER_H_INCLUDED  */
